testing::internal::Random Class Reference

`#include <gtest.h>`

## Public Member Functions

| Random (UInt32 seed)
void | Reseed (UInt32 seed)
UInt32 | Generate (UInt32 range)

## Static Public Attributes

static const UInt32 | kMaxRange = 1u << 31

## Detailed Description

Definition at line 7276 of file gtest.h.

## Constructor & Destructor Documentation

## Random()

testing::internal::Random::Random | ( | UInt32 | seed | ) |

inlineexplicit

Definition at line 7280 of file gtest.h.

## Member Function Documentation

## Generate()

UInt32 testing::internal::Random::Generate | ( | UInt32 | range | ) |

## Reseed()

void testing::internal::Random::Reseed | ( | UInt32 | seed | ) |

inline

Definition at line 7282 of file gtest.h.

## Member Data Documentation

## kMaxRange

const UInt32 testing::internal::Random::kMaxRange = 1u << 31

static

Definition at line 7278 of file gtest.h.

The documentation for this class was generated from the following file:

- test/eclipse-cygwin/lib/gtest/gtest.h